## org.eclipse.datatools.modelbase.sql.xml.query
Class XMLReturningType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.xml.query.XMLReturningType

public final class XMLReturningType
extends AbstractEnumerator

A representation of the literals of the enumeration 'XML Returning Type', and utility methods for working with them.

See Also:
  `SQLXMLQueryModelPackage.getXMLReturningType()`, Serialized Form

Field Summary
`static int` `NONE` The 'NONE' literal value.
`static XMLReturningType` `NONE_LITERAL` The 'NONE' literal object.
`static int` `RETURNING_CONTENT` The 'RETURNING CONTENT' literal value.
`static XMLReturningType` `RETURNING_CONTENT_LITERAL` The 'RETURNING CONTENT' literal object.
`static int` `RETURNING_SEQUENCE` The 'RETURNING SEQUENCE' literal value.
`static XMLReturningType` `RETURNING_SEQUENCE_LITERAL` The 'RETURNING SEQUENCE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'XML Returning Type' enumerators.

Method Summary
`static XMLReturningType` `get(int value)` Returns the 'XML Returning Type' literal with the specified integer value.
`static XMLReturningType` `get(java.lang.String literal)` Returns the 'XML Returning Type' literal with the specified literal value.
`static XMLReturningType` `getByName(java.lang.String name)` Returns the 'XML Returning Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RETURNING_CONTENT

    public static final int RETURNING_CONTENT

  The 'RETURNING CONTENT' literal value.

  See Also:
    `RETURNING_CONTENT_LITERAL`, Constant Field Values

### RETURNING_SEQUENCE

    public static final int RETURNING_SEQUENCE

  The 'RETURNING SEQUENCE' literal value.

  See Also:
    `RETURNING_SEQUENCE_LITERAL`, Constant Field Values

### NONE

    public static final int NONE

  The 'NONE' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### RETURNING_CONTENT_LITERAL

    public static final XMLReturningType RETURNING_CONTENT_LITERAL

  The 'RETURNING CONTENT' literal object.

  If the meaning of 'RETURNING CONTENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RETURNING_CONTENT`

### RETURNING_SEQUENCE_LITERAL

    public static final XMLReturningType RETURNING_SEQUENCE_LITERAL

  The 'RETURNING SEQUENCE' literal object.

  If the meaning of 'RETURNING SEQUENCE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RETURNING_SEQUENCE`

### NONE_LITERAL

    public static final XMLReturningType NONE_LITERAL

  The 'NONE' literal object.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XML Returning Type' enumerators.

Method Detail

### get

    public static XMLReturningType get(java.lang.String literal)

  Returns the 'XML Returning Type' literal with the specified literal value.

### getByName

    public static XMLReturningType getByName(java.lang.String name)

  Returns the 'XML Returning Type' literal with the specified name.

### get

    public static XMLReturningType get(int value)

  Returns the 'XML Returning Type' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.